Subject: Re: [PATCH net-next v5 1/2] ptp: introduce Alibaba CIPU PHC driver

From: Jakub Kicinski <[email-masked]>
Date: Fri, 2 Jan 2026 11:51:36 -0800

On Mon, 22 Dec 2025 15:18:19 +0800 Wen Gu wrote:
> The same applies to ptp_cipu, since it is already used and relies on
> exposing /dev/ptpX.

IIUC you mean that the driver is already used downstream and abandoning
PTP will break the OOT users? This is a non-argument upstream.

> Given the historical baggage, it seems better to keep using the
> existing ptp framework, but separate these pure phc drivers into a
> new subsystem with a dedicated directory (e.g. drivers/phc/) and a
> MAINTAINERS entry, moving them out of the netdev maintenance scope.
> This should also address the concern that these pure phc drivers are
> not a good fit to be maintained under the networking subsystem.

I'd rather you left PTP completely alone with your funny read only
clocks. Please and thank you.